org.apache.solr.cloud

## Class OverseerConfigSetMessageHandler

- java.lang.Object
- - org.apache.solr.cloud.OverseerConfigSetMessageHandler

- All Implemented Interfaces:
    OverseerMessageHandler

      public class OverseerConfigSetMessageHandler
      extends Object
      implements OverseerMessageHandler

  A `OverseerMessageHandler` that handles ConfigSets API related overseer messages.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.cloud.OverseerMessageHandler

      `OverseerMessageHandler.Lock`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BASE_CONFIGSET` Name of the ConfigSet to copy from for CREATE
    `static String` | `CONFIGSETS_ACTION_PREFIX` Prefix to specify an action should be handled by this handler.
    `static String` | `PROPERTY_PREFIX` Prefix for properties that should be applied to the ConfigSet for CREATE

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OverseerConfigSetMessageHandler(ZkStateReader zkStateReader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `String` | `getTaskKey(ZkNodeProps message)`
    `String` | `getTimerName(String operation)`
    `OverseerMessageHandler.Lock` | `lockTask(ZkNodeProps message, OverseerTaskProcessor.TaskBatch taskBatch)` Try to provide an exclusive lock for this particular task return null if locking is not possible.
    `SolrResponse` | `processMessage(ZkNodeProps message, String operation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIGSETS_ACTION_PREFIX

          public static final String CONFIGSETS_ACTION_PREFIX

      Prefix to specify an action should be handled by this handler.
      See Also:
        Constant Field Values

    - #### BASE_CONFIGSET

          public static final String BASE_CONFIGSET

      Name of the ConfigSet to copy from for CREATE
      See Also:
        Constant Field Values

    - #### PROPERTY_PREFIX

          public static final String PROPERTY_PREFIX

      Prefix for properties that should be applied to the ConfigSet for CREATE
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OverseerConfigSetMessageHandler

          public OverseerConfigSetMessageHandler(ZkStateReader zkStateReader)

  - ### Method Detail

    - #### processMessage

          public SolrResponse processMessage(ZkNodeProps message,
                                             String operation)

      Specified by:
        `processMessage` in interface `OverseerMessageHandler`
      Parameters:
        `message` - the message to process
        `operation` - the operation to process
      Returns:
        response

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `OverseerMessageHandler`
      Returns:
        the name of the OverseerMessageHandler

    - #### getTimerName

          public String getTimerName(String operation)

      Specified by:
        `getTimerName` in interface `OverseerMessageHandler`
      Parameters:
        `operation` - the operation to be timed
      Returns:
        the name of the timer to use for the operation

    - #### lockTask

          public OverseerMessageHandler.Lock lockTask(ZkNodeProps message,
                                                      OverseerTaskProcessor.TaskBatch taskBatch)

      Description copied from interface: `OverseerMessageHandler`
      Try to provide an exclusive lock for this particular task return null if locking is not possible. If locking is not necessary
      Specified by:
        `lockTask` in interface `OverseerMessageHandler`

    - #### getTaskKey

          public String getTaskKey(ZkNodeProps message)

      Specified by:
        `getTaskKey` in interface `OverseerMessageHandler`
      Parameters:
        `message` - the message being processed
      Returns:
        the taskKey for the message for handling task exclusivity

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.